Mirror of github.com/ppy/osu-web, in case ppy decides to take the original down for some reason.
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

package.json 2.7KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081
  1. {
  2. "private": true,
  3. "scripts": {
  4. "dev": "yarn run development",
  5. "development": "cross-env NODE_ENV=development webpack --progress --hide-modules --config=webpack.config.js",
  6. "generate-localizations": "node generate-localizations.js",
  7. "hot": "cross-env NODE_ENV=development webpack-dev-server --inline --hot --config=webpack.config.js",
  8. "lint": "tslint -c tslint.json 'resources/assets/lib/**/*.{ts,tsx}'",
  9. "localize": "yarn run generate-localizations",
  10. "prod": "yarn run production",
  11. "production": "cross-env NODE_ENV=production webpack --progress --hide-modules --config=webpack.config.js",
  12. "watch": "yarn run development --watch",
  13. "watch-poll": "yarn run watch --watch-poll"
  14. },
  15. "dependencies": {
  16. "@fortawesome/fontawesome-free": "^5.6.3",
  17. "babel-preset-react": "^6.3.13",
  18. "blueimp-file-upload": "^9.11.2",
  19. "bootstrap": "^3.3.6",
  20. "clipboard-polyfill": "^2.3.0",
  21. "d3": "^5.7.0",
  22. "imagesloaded": "^4.1.3",
  23. "jquery": "^3.3.0",
  24. "jquery-ui": "^1.12.0",
  25. "jquery-ujs": "^1.2.2",
  26. "jquery.scrollto": "^2.1.2",
  27. "js-cookie": "^2.1.2",
  28. "layzr.js": "^2.0.0",
  29. "lodash": "^4.17.14",
  30. "mobx": "^5.10.0",
  31. "mobx-react": "^5.4.3",
  32. "moment": "^2.11.1",
  33. "photoswipe": "^4.1.1",
  34. "promise-polyfill": "^8.1.0",
  35. "prop-types": "^15.6.0",
  36. "qtip2": "https://github.com/notbakaneko/qTip2.git#cd5f038667d2b23a44f4274c46de01834d704ce6",
  37. "react": "^16.8.4",
  38. "react-autosize-textarea": "7.0.0",
  39. "react-dom": "^16.8.4",
  40. "react-dom-factories": "^1.0.0",
  41. "react-virtual-list": "^2.3.0",
  42. "require-dir": "^1.2.0",
  43. "shopify-buy": "^2.6.1",
  44. "timeago": "^1.5.0",
  45. "tsconfig-paths-webpack-plugin": "^3.2.0",
  46. "turbolinks": "^5.1.1",
  47. "typescript": "~3.5.3",
  48. "url-polyfill": "^1.1.6",
  49. "webpack-sentry-plugin": "^2.0.2"
  50. },
  51. "devDependencies": {
  52. "@types/jasmine": "^3.3.13",
  53. "@types/jquery": "^3.3.0",
  54. "@types/lodash": "^4.14.136",
  55. "@types/react": "^16.8.4",
  56. "@types/react-dom": "^16.0.11",
  57. "babel-preset-env": "^1.7.0",
  58. "coffee-loader": "^0.9.0",
  59. "coffeescript": "^1.12.6",
  60. "cross-env": "^5.2.0",
  61. "glob": "^7.1.3",
  62. "import-glob-loader": "^1.1.0",
  63. "imports-loader": "^0.8.0",
  64. "jasmine-core": "^3.4.0",
  65. "karma": "^4.1.0",
  66. "karma-chrome-launcher": "^2.2.0",
  67. "karma-jasmine": "^2.0.1",
  68. "karma-sourcemap-loader": "^0.3.7",
  69. "karma-typescript": "^4.1.0",
  70. "karma-webpack": "3.0.0",
  71. "laravel-mix": "~4.0.16",
  72. "less": "^3.9.0",
  73. "less-loader": "^5.0.0",
  74. "mkdirp": "^0.5.1",
  75. "mobx-react-devtools": "^6.0.3",
  76. "ts-loader": "6.0.4",
  77. "tslint": "^5.12.0",
  78. "tslint-react": "^4.0.0",
  79. "vue-template-compiler": "^2.5.21"
  80. }
  81. }